Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ColorSelectionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ColorSelection. More...

`#include <xfc/gtk/colorselectionsignals.hh>`

Inheritance diagram for Xfc::Gtk::ColorSelectionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_color_changed ()
    Called when the color changes in the ColorSelection according to its update policy.

## Protected Member Functions

Constructors

- ColorSelectionSignals (ColorSelection *color_selection)
    Construct a new ColorSelectionSignals object.
- virtual ~ColorSelectionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ColorSelection.

## Constructor & Destructor Documentation

Xfc::Gtk::ColorSelectionSignals::ColorSelectionSignals | ( | ColorSelection * | color_selection | ) | `[protected]`

Construct a new ColorSelectionSignals object.

Parameters:

  | color_selection | A ColorSelection object inheriting the ColorSelectionSignals implementation.

The documentation for this class was generated from the following file:

- colorselectionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3